%define _altdata_dir %_datadir/alterator

Name: alterator-apt
Version: 0.4
Release: alt13

Packager: Stanislav Ievlev <inger@altlinux.org>

Source:%name-%version.tar
Source1:%name.cron

Summary: wrapper over apt-get
License: GPL
Group: System/Configuration/Other
Requires: alterator >= 2.9, apt > 0.5.15lorg2-alt6 gettext

BuildPreReq: alterator >= 2.9-alt0.10 alterator-fbi

BuildArch: noarch

# Automatically added by buildreq on Wed Dec 27 2006
BuildRequires: alterator

%description
wrapper over apt-get

%prep
%setup -q

%build
%make_build libdir=%_libdir

%install
%makeinstall HTMLROOT=%buildroot%_var/www/
%find_lang %name

#cron job file 
%__install -pD -m755 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/cron.daily/%name

%files -f %name.lang
%config(noreplace) %_sysconfdir/cron.daily/%name
%_altdata_dir/ui/*/
%_var/www/html/*
%_datadir/alterator/applications/*
%_alterator_backend3dir/*


%changelog
* Fri Jul 20 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt13
- fix quotation

* Fri Jun 15 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt12
- switch to new menu subsystem

* Fri May 25 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt11
- improve Russian translation
- switch to new submit script

* Thu May 03 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt10
- make window wider

* Wed May 02 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt9
- fix Russian translation

* Mon Apr 23 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt8
- add missing templates
- fix work with cdrom: uris
- add Ukrainian translation

* Thu Apr 19 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt7
- little CSS improvements

* Thu Apr 19 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt6
- shut up cron job
- remove unused layout-policy and children-align attributes

* Wed Apr 18 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt5
- add ability to edit sources
- move style sheets and scripts to subdirectory
- add help

* Mon Apr 16 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt4
- fix possible races
- preliminary support for the simple monitoring facility

* Thu Apr 12 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt3
- import apt-sources backend from raorn@ with improvements

* Wed Apr 11 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt2
- simple dist-upgrade are ready to use

* Tue Apr 10 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- experimental html based 'update' interface
- add po file

* Fri Apr 06 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt4
- fix width/height

* Wed Feb 07 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt3
- apt-get backend fix: allow update job

* Wed Jan 31 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt2
- fix support for unknown actions

* Mon Jan 29 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- add simple apt-get backend for automatic install

* Fri Dec 29 2006 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2
- fix dialog return codes

* Wed Dec 27 2006 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- replace dbus with more simple mailbox subsystem

* Thu Nov 30 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- update to latest alterator
- add support for "media change"

* Fri Oct 13 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- initial release
